# keyToRFC1751Mnemonic | xrpl
Documentation for xrpl

# Function keyToRFC1751Mnemonic

- keyToRFC1751Mnemonic(hex_key): string

- Generates a modified RFC1751 mnemonic in the same way rippled's wallet_propose does.

  #### Parameters

  - ##### hex_key: string

    An encoded secret in hex format.

  #### Returns string

  A mnemonic following rippled's modified RFC1751 mnemonic standard.

  - Defined in packages/xrpl/src/Wallet/rfc1751.ts:60

Generated using TypeDoc